%bcond_with aspell

Summary:       An Enchanting Spell Checking Library
Name:          enchant2
Version:       2.5.0
Release:       5%{?dist}
License:       LGPLv2+
URL:           https://github.com/AbiWord/enchant
Source0:       https://github.com/AbiWord/enchant/releases/download/v%{version}/enchant-%{version}.tar.gz
Patch3000:     enchant_aspell.patch

BuildRequires: automake autoconf libtool gcc-c++ make
BuildRequires: glib2-devel hunspell-devel
%if %{with aspell}
BuildRequires: aspell-devel
%endif
BuildRequires: libvoikko-devel
Provides:      bundled(gnulib)

%description
A library that wraps other spell checking backends.

%if %{with aspell}
%package aspell
Summary:       Integration with aspell for libenchant
Requires:      enchant2 = %{version}-%{release}
Supplements:   (enchant2 and aspell)

%description aspell
Libraries necessary to integrate applications using libenchant with aspell.
%endif

%package voikko
Summary:       Integration with voikko for libenchant
Requires:      enchant2 = %{version}-%{release}
Supplements:   (enchant2 and langpacks-fi)

%description voikko
Libraries necessary to integrate applications using libenchant with voikko.

%package devel
Summary:       Development files for %{name}
Requires:      enchant2 = %{version}-%{release}
Requires:      glib2-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n enchant-%{version}

%build
autoreconf -ifv
%configure \
%if %{with aspell}
    --with-aspell \
%else
	--without-aspell \
%endif
    --with-hunspell-dir=%{_datadir}/hunspell \
    --without-hspell \
    --disable-static \
    --docdir=%{_defaultdocdir}/%{name}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build pkgdatadir=%{_datadir}/enchant-2

%install
%make_install pkgdatadir=%{_datadir}/enchant-2
find %{buildroot} -name '*.la' -delete

%files
%license COPYING.LIB
%doc AUTHORS NEWS README
%{_datadir}/enchant-2
%{_bindir}/enchant-2
%{_bindir}/enchant-lsmod-2
%{_libdir}/libenchant-2.so.*
%dir %{_libdir}/enchant-2
%{_libdir}/enchant-2/enchant_hunspell.so
%{_mandir}/man1/*

%if %{with aspell}
%files aspell
%{_libdir}/enchant-2/enchant_aspell.so*
%endif

%files voikko
%{_libdir}/enchant-2/enchant_voikko.so*

%files devel
%doc %{_defaultdocdir}/%{name}/enchant.html
%doc %{_defaultdocdir}/%{name}/enchant-2.html
%doc %{_defaultdocdir}/%{name}/enchant-lsmod-2.html
%{_libdir}/pkgconfig/enchant-2.pc
%{_includedir}/enchant-2
%{_libdir}/libenchant-2.so
%{_mandir}/man5/enchant.5*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Miaojun Dong <zoedong@tencent.com> - 2.5.0-2
- Rebuild for hunspell-1.7.2

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 2.5.0-1
- Upgrade to version 2.5.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.3.2-1
- Initial build
